/* Оператор break */

/* Поиск в заданном массиве элемента, равного 0 */

/* Подключим заголовочный файл со стандартными функциями ввода-вывода */

#include <stdio.h> 			// подключаем  заголовочный файл со
// стандартными функциями ввода-вывода
int array[7]={-3,-2,-1,0,1,2,3}; 	// Объявляем и инициализируем 
// целочисленный массив array
int n=7; 				// Объявляем и инициализируем целую переменную
// n - количество элементов массива

void main(void) 				// Основная функция программы
{
int i; 				// Объявляем целую переменную i, которая
// будет задавать индекс элемента
// массива array
for(i=0;i<n;i++) 			// Цикл for
{
/* Тело цикла for */
if(array[i]==0) 		// Если i-ый элемент массива равен 0,
break; 			// то выход из цикла for по break
}

/* Оператор if-else */

if(i==n) 						// Если i=n,
printf("%d not found \n",0); 		// то выводим строку:
// "0 not found "
else 							// Если i не равен n,
printf("%d on %d place \n",0,i); 	// то выводим строку:
// "0 on i place ", где
// i - номер места
}

/* Тело цикла (if(array[i]=0) break) будет выполняться, начиная
   со значения i=0. После каждого выполнения цикла i будет увеличиваться
   на 1, затем будет проверяться условие (i<n) и, если оно истинно,
   тело цикла будет повторяться с новым значением i. Цикл будет выполняться
   до тех пор, пока i не станет равно n, или выражение в теле цикла for
   не станет истиной, и будет осуществлен выход из цикла по оператору
   break. В обоих случаях будет осуществлен переход на оператор if-else. */
